Subject: bug#66664: On modified lines containing 🌐︎ and Unicode VS15 in text mode emacs does not show the real content of the lines

From: Дилян Палаузов<[email-masked]>
Date: Sun, 05 Nov 2023 12:55:53 +0100

Hello Eli,

thanks for your answer.  I start  emacs -nw  then M-: shows Eval:   I enter 

(set-char-table-range char-width-table '(#x1f310 . #x1f310) 1) RET

then the mini-buffer shows

1 (#o1, #x1, ?\C-a)

I open then the problematic file, go to the problematic line, then to its end (Ctrl+E).  Emacs should show the cursor after the last letter on the line, but it does show the cursor over the last letter of the line.

> Why are you using a text-mode terminal to edit files with these characters?  Why not use a GUI session instead?

I used connect over SSH to some systems, then start emacs and finally change the files there.  I see I can first start Emacs-GUI and then  “find a file” starting with /ssh:, which open locally ssh-remote files.  So this is a valid work around.

Greetings
  Дилян

-----Original Message-----
From: Eli Zaretskii <[email-masked]>
To: Дилян Палаузов <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#66664: On modified lines containing 🌐︎ and Unicode VS15 in text mode emacs does not show the real content of the lines
Date: 10/21/2023 05:39:53 PM

[Please use Reply All, to keep the bug tracker on the CC list.]

> From: Дилян Палаузов
> 	 <[email-masked]>
> Date: Sat, 21 Oct 2023 17:25:11 +0200
> 
> when I load the file the globe appears below “it” from “file edIT options” menu.  So at least visually I see two columns.
> 
> Now that you can reproduce the problem, what shall I do?

Try

  M-: (set-char-table-range char-width-table '(#x1f310 . #x1f310) 1) RET

But in general, I don't think this problem has a solution, except to
use GUI frames.  Text-mode terminals don't give a damn, to put it
mildly, about Emacs expectations and needs, when display of such
advanced character sequences is concerned.  They invent their own
implementations and de-facto standards, completely disregarding the
fact that Emacs was there and did that many years before them.  When
approached, they basically tell us "our way or the highway".  "Their
way" isn't going to happen in Emacs, for several good reasons, so here
we are.

Why are you using a text-mode terminal to edit files with these
characters?  Why not use a GUI session instead?